Subject: bug#70236: closed (Re: bug#70236: Truncating only happening on 900 character long lines in *compilation* buffer)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 13 Apr 2024 09:08:02 +0000

Your bug report

#70236: Truncating only happening on 900 character long lines in *compilation* buffer

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
70236: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=70236
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#70236: Truncating only happening on 900 character long lines in *compilation* buffer
From: Eli Zaretskii <[email-masked]>
To: Dan Jacobson <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sat, 13 Apr 2024 12:06:46 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Cc: [email-masked]
> Date: Sun, 07 Apr 2024 12:10:22 +0300
> From: Eli Zaretskii <[email-masked]>
> 
> > Date: Sun, 07 Apr 2024 13:31:28 +1200
> > From: Phil Sainty <[email-masked]>
> > 
> > This will generate the same output as that perl:
> > 
> > (cl-loop for n from 100 to 1500 by 100 do
> >           (insert (number-to-string n)
> >                   " [\"" (make-string n (string-to-char
> >                                            (format "%X" (/ n 100))))
> >                   "\"]\n\n"))
> > 
> > If you write that to a file "test" in some temp dir and have
> > a Makefile like this:
> > 
> > foo:
> > 	cat test
> > 
> > Then the suggested command will demonstrate the issue:
> > 
> > emacs -Q -f compile
> > 
> > What you're looking at is the difference between the "900" line
> > (which gets truncated) and all the other lines (which do not).
> > 
> > compilation-max-output-line-length is 400
> 
> Thanks, should be fixed now on the master branch.

No further comments, so I presume the bug is indeed fixed, and I'm
therefore closing it.

Subject: Truncating only happening on 900 character long lines in *compilation* buffer
From: Dan Jacobson <[email-masked]>
To: [email-masked]
Date: Sat, 06 Apr 2024 17:14:14 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

In
https://emacs.stackexchange.com/questions/80941/what-truncates-lines-at-the-400th-character-in-the-compilation-buffer/80949
I have reproduced truncating triggered on 900 character lines only,
when one would expect it happening on other lines too.